2024-10-22  Xisco Fauli  <xiscofauli@libreoffice.org>  [91c1e1c83f5b29f0f84b8797aadbcfa0d8d9e378]

	distribute new test files

	Change-Id: I5e59dcc46b0cdf2e227076c5f542892c34a0fc1c

2024-10-22  Xisco Fauli  <xiscofauli@libreoffice.org>  [1a46ae002ba9717e9483ed5142acc5d93b96d355]

	update NEWS file for new release

	Change-Id: I5ddd8d149f7f4f0f2f6bc8c0f9932c343d98f230

2024-10-17  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [d60a59e48a483edc19a3f92c9a9cdd124887fdb8]

	Visio5 support: privide cellType to collector in readTextField

	Change-Id: I80454e5b8e3fb1d1c8377391cb60d58ada0af5cc
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/175101
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2024-10-16  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [b86ed4fb2d9c2bfe136972e046a26644938de4d8]

	tdf#154379 Add support to DrawingUnits types

	There is number type DrawingUnits type,
	where type unit are taken form the DrawingScale cell of the page or
	master containing the cell.

	Thit commit implement such behaviour and cover it with tests

	More information:
	https://learn.microsoft.com/en-us/office/vba/visio/concepts/about-units-of-measure-visio#default-units-of-measure

	Change-Id: Ib581e214c80e4f61195860dac83ae763c6398653
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/174909
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2024-10-11  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [90ac79238339ba6a4df064d956150aa379e6d740]

	tdf#154379 Fix reading TextBkgnd from Shape

	The TextBkgnd cell can have any value from 0 through 24, or 255.
	The values 0 and 255 (visTxtBlklOpaque) both indicate a transparent text background.

	In previous implementation if:
	   <Cell N='TextBkgnd' V='0'/>
	were specified, the value was taken from colors.

	With this implementation, if V='0' then background is not displayed, according
	to documentation.

	Change-Id: I32831ef58a5ea11e6fcc6f1fccda8618817f3af4
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/174712
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2024-10-10  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [a63cf4a0aa11be22a6a6bb5de3d445d5147bc16f]

	tdf#154379 Fix reading FillStyleLst

	With previous implementation readFillStyleLst method
	is saving all colours into first element: m_fillStyleLst[0]
	It was causing that only last colour was present.

	This commit is fixing that issue, by increasing iterator.

	Change-Id: Ib77463c582874967e255ef91c0380fd880b8418e
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/174698
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2024-10-08  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [9aa2bad07685d5641649d2065d46fd2ace19c280]

	tdf#126402 Fix testVsd11FormatLine test

	Change-Id: I251c99564253cf4b8125c302797e5a13c0cfb9c0
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/174697
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2024-10-08  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [95786a1f8fd9907d4fa483ead66887440434a36f]

	tdf#126402 Improve arrowheads appearance and implement more.

	Change-Id: Iab96dda4000d0430846f241eb71d7b7bdc2e62d9
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/174649
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2024-10-01  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [2849204df192331ea94c37414c9452acc9dda287]

	tdf136564 VSDX Add support for TextBackground from SheetStyle

	Previously the TextBackgroundColor was not supported when
	it was defined inside StyleSheet.
	This commit fixes that and allow for proper import of VSDX into
	LibreOffice.

	More information about TextBkgnd Cell:
	https://learn.microsoft.com/en-us/office/client-developer/visio/textbkgnd-cell-text-block-format-section

	Change-Id: Id8d1676d802916dc0776138041ea9f7928914f06
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/174173
	Tested-by: Miklos Vajna <vmiklos@collabora.com>
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2024-09-20  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [0c69b34e5f1ca995d0b6acf14594319a4c1cf5f3]

	Avoid undefined behaviour when the std::vector is empty

	By getting address of first element (e.g. &tmpBuffer[0]),
	in case vector is empty, the undefined behaviour could occur.

	data() returns a pointer to the underlying array serving as element storage.
	The pointer is such that range [data(), data() + size()) is always a valid range,
	even if the container is empty (data() is not dereferenceable in that case).

	Change-Id: I62665a11ece0cc7e2226608004c0eb48788f95d1
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/173740
	Tested-by: Miklos Vajna <vmiklos@collabora.com>
	Reviewed-by: Miklos Vajna <vmiklos@collabora.com>

2024-03-19  Jaume Pujantell  <jaume.pujantell@collabora.com>  [aac02f9141fcaf0acc1bce2ff6a5c2e9618f9235]

	read and use simple solid fill styles

	Implemented the reading of simple solid fills from the fill styles list
	in a theme. And it's use with the quick style fill matrix value.

	Change-Id: I658340f73ced475bbc8999b4d09c4666fd50dea5
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/163580
	Tested-by: Miklos Vajna <vmiklos@collabora.com>
	Reviewed-by: Miklos Vajna <vmiklos@collabora.com>

2024-03-19  Miklos Vajna  <vmiklos@collabora.com>  [c58eda83afcee4965254397868eba856df89447c]

	Fix -Werror=switch

		importtest.cpp: In function ‘librevenge::RVNGString {anonymous}::getXPathContent(xmlDocPtr, const librevenge::RVNGString&)’:
		importtest.cpp:150:3: error: case value ‘5’ not in enumerated type ‘xmlXPathObjectType’ [-Werror=switch]
		   case XPATH_POINT:
		   ^~~~
		importtest.cpp:151:3: error: case value ‘6’ not in enumerated type ‘xmlXPathObjectType’ [-Werror=switch]
		   case XPATH_RANGE:
		   ^~~~
		importtest.cpp:152:3: error: case value ‘7’ not in enumerated type ‘xmlXPathObjectType’ [-Werror=switch]
		   case XPATH_LOCATIONSET:
		   ^~~~
		cc1plus: all warnings being treated as errors

	Change-Id: I04cf0caf6d0e51b4c02cbab0bd5b4219c7ac5a3b

2023-12-30  Andras Timar  <andras.timar@collabora.com>  [2af22206aca7c14e70e40ee248e9a8a361fbc88f]

	tdf#77915 fix import of default shape fill color

	Change-Id: I5f2f5fd4678774b024301aede4be50ad04a22f87
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/161397
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2023-12-23  Jan Tojnar  <jtojnar@gmail.com>  [e7d32634cfeceea700f24af3176090f4501d534e]

	tests: Fix build with libxml 2.12

	libxml 2.12.0 reorganized the headers, which removed `xmlParseMemory` function from the scope.

	Change-Id: Ibd747fe7f83eb7c3a8b8cf57ac4a06e365986d46
	Reviewed-on: https://gerrit.libreoffice.org/c/libvisio/+/160542
	Tested-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>
	Reviewed-by: Ilmari Lauhakangas <ilmari.lauhakangas@libreoffice.org>

2019-08-17  David Tardon  <dtardon@redhat.com>  [55d69d625abb0506160e1e5aedb902e550604ab0]

	bump release

	Change-Id: I1656c0a2bb5bbc44e434d89eeb7b40c89b5e3e0b

2019-08-17  David Tardon  <dtardon@redhat.com>  [0dd9d58e8f69061db4f073933f5f96ed32939a71]

	distribute new test files

	Change-Id: I87e0b4e921605a462b116c2820b2a7d55bbb5448

2019-08-17  David Tardon  <dtardon@redhat.com>  [fc10bd1c08ce8185865268cbedebdae0b0dc5d61]

	keep the file list sorted

	Change-Id: I072ae492e3ecc538d78ac071793042c77321b708

2019-08-17  David Tardon  <dtardon@redhat.com>  [e22c55d8ead89bf4ba2f37629c021f9f9ff74fa7]

	prepare for a release

	Change-Id: I660d3ccee41ef7fedf24819831cd56460cacba64

2019-08-12  David Tardon  <dtardon@redhat.com>  [8f0ce0bb48185458bcaa0efb8cc01da7386e208a]

	simplify creation of xmlReader

	Change-Id: I95815a3f19c612a2926ea1d80f07abbaba1f5595

2019-08-07  Caolán McNamara  <caolanm@redhat.com>  [b480f8f038e2bc6556023b08d7ad4c617a11ed94]

	drop XML_PARSE_NOENT and default to not expanding entities

	Change-Id: I3c3f143b97df19227e274a1591471faa3dd3ed5f
	Reviewed-on: https://gerrit.libreoffice.org/76779
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2019-08-04  David Tardon  <dtardon@redhat.com>  [df4e769e53fa74929a6606f568abd1b1b76ea312]

	cid#1371582 check return value

	Change-Id: If6f80449f6ba0584979aade8887d639996bc5e14

2019-08-04  David Tardon  <dtardon@redhat.com>  [be7f666de460bd3c89ed51f43039858ca1614c7c]

	cid#1371581 check return value

	Change-Id: I794e08141e15795ee19edca755e5cbfa4b9ff71d

2019-08-04  David Tardon  <dtardon@redhat.com>  [1972bec9fe34a09399b785204569ca3189039c7e]

	cid#1452212 fix memory leak

	Change-Id: Idec224a8c688a624c67db07de28add2040f3bc59

2019-08-04  David Tardon  <dtardon@redhat.com>  [19401333010f5874b70373282c1c4ed29870f659]

	sort includes

	Change-Id: Idf362dcc4ede95dceb80de5a5c2e6ac7dff5ff21

2019-08-04  David Tardon  <dtardon@redhat.com>  [f6c48b831afdea999ed68a9b717c78d728a0e677]

	cid#1452210 fix memory leak

	Change-Id: Ifda9cbb926993364ddb68fcb96dc66e0c765d2ef

2019-08-04  David Tardon  <dtardon@redhat.com>  [0a62d06de2462b6be9f086b5997a99eb2feb7246]

	make trivial copy ctors default too

	Change-Id: I9d1359ea3867add91eb9c86eea6b25c6c98abc44

2019-08-04  David Tardon  <dtardon@redhat.com>  [829afb86ef093446cfb624cc492902eb36013bd1]

	make trivial assignment operators default

	Change-Id: Ibb939f38dbe4ff0a0a61aad29a4a4da58efcb743

2019-08-04  David Tardon  <dtardon@redhat.com>  [75360a312918780ed5e34a44e3b8b0da5716c5bc]

	un-constify return value of operator=

	Change-Id: Ib72d1f92e6b080e5c2dd17cc57b2c7f48c917a77

2019-08-03  David Tardon  <dtardon@redhat.com>  [8480dedbe1a5fd27df4c0bfc0ecbb868ad081a8b]

	WaE: implicitly-declared Pointer::operator= is deprecated

	Change-Id: I1a092b3e976bd31b1764698001b9f320757d2cc4

2019-08-03  David Tardon  <dtardon@redhat.com>  [3a1c047b8de4c354b4fb866a7c14012e124067ee]

	WaE: implicitly-declared VSDOptionalFillStyle::operator= is deprecated

	Change-Id: Iabc5a0e4fa4b223fd39405829257cce35d44d92e

2019-08-03  David Tardon  <dtardon@redhat.com>  [f860cf6342530b80248f9c054fa16d1b293509a0]

	WaE: implicitly-declared VSDTextBlockStyle::operator= is deprecated

	Change-Id: Ic482a4bdd3386504ec65fb04c5d302bc2218ecf9

2019-08-03  David Tardon  <dtardon@redhat.com>  [d8f9af1e0e06f2439c1737312744f0b6f83e60ab]

	WaE: implicitly-declared VSDOptionalTextBlockStyle::operator= is deprecated

	Change-Id: Idfc7955fb75afd14cec262f8815d3cb1cebe3900

2019-08-03  David Tardon  <dtardon@redhat.com>  [7af74e2dcda9e31369b57e84b7e3f0341401e653]

	WaE: implicitly-declared VSDParaStyle::operator= is deprecated

	Change-Id: I4b6e91f40cfb24f4492eb75f5b8ffff53fbddf7f

2019-08-03  David Tardon  <dtardon@redhat.com>  [59be5ee54f84a3cf481a5d9dd02c78241327daaf]

	WaE: implicitly-declared VSDOptionalParaStyle::operator= is deprecated

	Change-Id: Ide41be4bbae843c0f96240efcb0d85f60b6f37ec

2019-08-03  David Tardon  <dtardon@redhat.com>  [8f3932b2cf4d550787546feea93bf9c45278d36b]

	WaE: implicitly-declared VSDCharStyle::operator= is deprecated

	Change-Id: Iaa5ac6e94bb53afebc9a09c42134cd64583cfc43

2019-08-03  David Tardon  <dtardon@redhat.com>  [129afac556b38de50abdba5a3267ef88561418ac]

	WaE: implicitly-declared VSDOptionalCharStyle::operator= is deprecated

	Change-Id: I1729b9229bc01062486f9e124c3d3f13f6aaacf8

2019-08-03  David Tardon  <dtardon@redhat.com>  [4136243660429bc2f9775847e3992b7446f2805b]

	WaE: implicitly-declared VSDFillStyle::operator= is deprecated

	Change-Id: Ie3ca69e7386ebbf04f7b5972f3ed96139e26015c

2019-08-03  David Tardon  <dtardon@redhat.com>  [ee13a1bffa6d78924d1d2312abc5d86078b2b251]

	WaE: implicitly-declared VSDLineStyle::operator= is deprecated

	Change-Id: I6760c2d8bd4bb85e0d760abdb86beea45e4fffeb

2019-08-03  David Tardon  <dtardon@redhat.com>  [b1abd7606f21dbad9119788087c373f3caae171a]

	WaE: implicitly-declared VSDOptionalLineStyle::operator= is deprecated

	Change-Id: I599cc0a57aad586def69f548955800082a5a4bdf

2019-08-03  David Tardon  <dtardon@redhat.com>  [3c9fca3cc5349bd91369ea6cc32da37d52290d8b]

	WaE: implicitly-declared VSDBullet::operator= is deprecated

	Change-Id: Ib3f64f30ffe1616c08bb383ed1c462da6d4a31bc

2019-08-03  David Tardon  <dtardon@redhat.com>  [4dfbf7940eb0821c76e2b66b5f27ae9eed31220b]

	WaE: implicitly-declared XForm::operator= is deprecated

	Change-Id: I60e9d0bc7f148f3289552d0169b6cebfba8edee4

2019-08-03  David Tardon  <dtardon@redhat.com>  [a7455c5213007603bd6b129288cf00569e4817b8]

	WaE: implicitly-declared VSDMisc::operator= is deprecated

	Change-Id: I02ff6e1dc02c58ea9fcf26aaacfef245f66fe61a

2019-08-03  David Tardon  <dtardon@redhat.com>  [dfed7b1e459f3bde8dcbb997e5664deeff9e338d]

	WaE: implicitly-declared VSDName::operator= is deprecated

	Change-Id: Ic99122062fc314a3ae6e3b904e4415f8b276f646

2019-08-03  David Tardon  <dtardon@redhat.com>  [95ccb8facab44862b12f69eac9b52ede02a1a55d]

	astyle

	Change-Id: I2d5fac3180897b3a35fa62edf8dddb545b3595be

2019-07-24  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [d6205a23ff36b1ab1f876cebfd41ad1acf19aac5]

	tdf#126402 Fix line formating issue

	With this commit, I have implemented more Visio arrow styles
	and I have added support importing Center Line Ending.

	As a result many import issues of Visio diagrams was resolved.

	Change-Id: I5284e3e53b9d5174ab49e841c66be58e06060760
	Reviewed-on: https://gerrit.libreoffice.org/75635
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2019-07-12  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [2ae597695c8ad41dcbdba8405157053a44564abb]

	tdf#126292 Fix unit conversion

	With this commit I have added unit support.

	In .VSD format, all length values (points, kilometers, feets etc.) are stored in Inches,
	all Elapsed time are stored in Days,
	all angles are stored in radians.

	It means that value should be converted from Inch/ Days or radians,
	even if the unit is not displayed.

	For example:
	 - centimeter values should multipled by 2.54
	 - elapsed hour values should be multiplied by 24
	 - percent values should be multipled by 100

	Change-Id: I88711a1bf1bfd6078dc6948194449bcc91f34cce
	Reviewed-on: https://gerrit.libreoffice.org/75374
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2019-07-09  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [9bf6a30786fb75cb725fe038d77ef03e1ebc4bc0]

	tdf#126292 Fix unit conversion

	Change-Id: I88711a1bf1bfd6078dc6948194449bcc91f34cce

2019-07-09  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [187e3c83fe021267b913068432d1387ea140944a]

	Replace magic numbers with defines

	Change-Id: I76211f335341c4ebc40c38766dc04969d3b420df
	Reviewed-on: https://gerrit.libreoffice.org/75245
	Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>
	Tested-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

2019-07-08  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [f96f3ee3a44d6c7af28e1eb67c8da9d36012b113]

	tdf#76829 tdf#98291 Visio: Fix number conversion to string

	The method 'doubleToString' is copied from librevenge:
	https://sourceforge.net/p/libwpd/librevenge/ci/master/tree/src/lib/RVNGProperty.cpp#l35

	Method duplication allows to do not break ABI of librevenge.

	Change-Id: Ie1bce018cf2e1fd38af07db4d19445d1bffe9005
	Reviewed-on: https://gerrit.libreoffice.org/75070
	Reviewed-by: Miklos Vajna <vmiklos@collabora.com>
	Tested-by: Miklos Vajna <vmiklos@collabora.com>

2019-07-03  Bartosz Kosiorek  <gang65@poczta.onet.pl>  [d410b9bd6c763ec0037031b6b5913f754264beca]

	tdf#76829 tdf#98291 Visio: Fix date and time conversion to string

	The documentation which implementation was based on was
	taken from:
	https://docs.microsoft.com/en-us/openspecs/sharepoint_protocols/ms-vsdx/50c23601-c943-4ff2-b4a1-02445f52daf0

	Change-Id: I8a3544d198d0376bdc31b158c073f5340dff7237
	Reviewed-on: https://gerrit.libreoffice.org/74743
	Tested-by: Miklos Vajna <vmiklos@collabora.com>
	Reviewed-by: Miklos Vajna <vmiklos@collabora.com>

2019-01-31  Miklos Vajna  <vmiklos@collabora.com>  [c5a43cf0bb3d002cc4ff396ffbf85ebe9dd0da29]

	Fix too small loop variables

	These loop variables had narrower type than the iteration's upper bound.

	Change-Id: Ie289e2fd5b11e3b654fc2e214e8f03dadee6fc65

2018-03-25  David Tardon  <dtardon@redhat.com>  [c1bb49486e73e9e19944be6a995e3bbd96210f8f]

	move define where it should be

	Change-Id: Ie8080354158b01bd29c14105dce3919eb19a01e6

2018-03-25  David Tardon  <dtardon@redhat.com>  [5fa2b1a754a026f7c36f339b396574c1c43700c8]

	make sure headers are self-contained

	Change-Id: I77beb4ce00ec070f2599362f6462d967613abd2b

2018-03-25  David Tardon  <dtardon@redhat.com>  [b52f763a0026d8c3eb2aa4b2ec3fa8a5abedbe9d]

	drop unused headers

	Change-Id: I697c5ee7e9ed2c694452e00ca2ed77c92c7650a3

2018-03-25  David Tardon  <dtardon@redhat.com>  [26ea6f33a413861a4764bbfae6f244ec38f7bad8]

	use unique_ptr for text xform

	Change-Id: I2dacd0bfe4024055e9233730ff6485c8631f6a48

2018-03-25  David Tardon  <dtardon@redhat.com>  [8a3b290280fe07a990d7a84b21a0cdc5f28d1c2f]

	use unique_ptr to hold foreign data

	Change-Id: I605e3fc76a7f909566450ccff33649745f16f200

2018-03-25  David Tardon  <dtardon@redhat.com>  [160825ec6e25b3de6086479f856d14a6dcaaa60a]

	use unique_ptr

	Change-Id: I2677dfde71b049c287df2ea68d656b0ad63dc8df

2018-03-25  David Tardon  <dtardon@redhat.com>  [e3f0216ba318fddbfab2b92159c363dced48082e]

	avoid manual memory mgmt

	Change-Id: If7229a08104410cd2df3b84202c75e68cbcfc114

2018-03-25  David Tardon  <dtardon@redhat.com>  [40c8a1d8216bebfccfcea5ec55af2848f3a72170]

	guard against self-assignment

	Change-Id: I2eff7abe7d341455c111291ecf81ff348846bc11

2018-03-25  David Tardon  <dtardon@redhat.com>  [467618a5b883c7303fc6ef8e10756e203ceaed11]

	avoid manual memory mgmt

	Change-Id: I4694b93a135dc568beb234a6300a492326122257

2018-03-25  David Tardon  <dtardon@redhat.com>  [8dfa37807ee1d40f98729a911db3a52df0d2e65b]

	use make_unique

	Change-Id: I74fb98a89eea16a230319d024017c37febf908f9

2018-03-25  David Tardon  <dtardon@redhat.com>  [64c199140f8c5e3ebd6af9a9204a7f84b4746af1]

	avoid manual memory mgmt

	Change-Id: I34c48bf74b8b1c0fdb5018b7d8fedba1b196beee

2018-03-25  David Tardon  <dtardon@redhat.com>  [d6867e9e9041fc02a8ec7ffe084a08a51e97166b]

	drop duplicate include

	Change-Id: I22f98e6680d1ef8fd78ce41f54b39a8839518d74

2018-03-25  David Tardon  <dtardon@redhat.com>  [3dbae3c48fc17232fc9815ec4f16ea1a01c97474]

	avoid manual memory mgmt

	Change-Id: Ife502d6cd180e91c5b4f220cf2f008260143a35e

2018-03-25  David Tardon  <dtardon@redhat.com>  [a6990f6f931dbfd33b61be5ae7063b904680daa4]

	simplify a bit

	Change-Id: I27ebb6af37ce169a657e7ed52a7bc77e323e1eb2

2018-03-25  David Tardon  <dtardon@redhat.com>  [b6380006ba9395d30a2263a0a3467fc8bc9f52ba]

	use unique_ptr

	Change-Id: I15a0ece5b4a71fa82f23bff85ad9e5011129edf6

2018-03-12  David Tardon  <dtardon@redhat.com>  [f85c44b280a57cc273217c8385dd95a4989bd827]

	speed up angle normalization

	Change-Id: I2531cae69ef9a64d5004692919bdcd96a069e994

2018-01-30  David Tardon  <dtardon@redhat.com>  [a10cc6f3f9412d1d1b8cd604374d6625dda60485]

	avoid more potential memory leaks

	Change-Id: Ia8bb68d617687dc4f8ca37219f78f818d9fd8b57

2018-01-30  David Tardon  <dtardon@redhat.com>  [edf7deeb81f044d7fde5ad1f384e61c4790fa7c2]

	ofz#5816 avoid memory leak

	Change-Id: Ib23bdeb0a96590f8a22248bc5f92f85773ade58a

2017-12-01  Miklos Vajna  <vmiklos@collabora.co.uk>  [803830beed106e9de8d727a5e7eedd53e8dbf414]

	VSDContentCollector: remove dead isParagraphOpened assignment

	Local variable, not read later, so it can go.

	Change-Id: Ide6c1b6976c43a3b9714d79d46631b7a80ddb300

2017-11-30  Miklos Vajna  <vmiklos@collabora.co.uk>  [b298ea9bbbde96fbb4350bcf6bd71f698fce3bfa]

	VSDContentCollector: remove dead isSpanOpened assignment

	Local variable, not read later, so it can just go.

	Change-Id: I52bca4bb437f94cffe4475a8a81e3b6dd1242fda

2017-11-29  Miklos Vajna  <vmiklos@collabora.co.uk>  [2baddb07cf518ca871d8969c694867d2d27c12d1]

	VSDContentCollector: remove dead shapeId assignment

	It's a by-value parameter, it's not read later in the function and the
	assignment scope only includes conditions (not loops), so it's not read
	later.

	Change-Id: I56bed45c71de892d388fa534f8512b27245daf3a

2017-11-26  David Tardon  <dtardon@redhat.com>  [afa9437bec26a156aebdd60bc05fa48d68067629]

	ofz: ignore invalid/incomplete font entries

	Change-Id: Ic5e6cf0afe62e92fba1503a1a3540eb50800dc3c

2017-11-08  Miklos Vajna  <vmiklos@collabora.co.uk>  [07863ce4ede0ad8752627e8e96db63bf58ca9ba7]

	Use auto when declaring iterators and when initializing with a cast

	Change-Id: I5a3b4334c2cfcf462952a8a00d97abc59eda1f19

2017-10-30  David Tardon  <dtardon@redhat.com>  [6ba35e73d071dd396fc919e09daa09151354cb95]

	ofz#3711 band-aid for OOB access in NURBS

	Change-Id: Ied73be7f36bd070a38c13243dd851d0bcd4056a3

2017-10-22  David Tardon  <dtardon@redhat.com>  [15f3774513d0181ad90da382297c175cc3424462]

	fix debug build

	Change-Id: I860b6034e5d833900652aec8c3647eeae185e538

2017-10-21  David Tardon  <dtardon@redhat.com>  [635a8f163ab10911663fed64ae23d3438a41fb44]

	add newline

	Change-Id: Iaf0fef207f5b49f227902f5cf134de969ef6311a

2017-10-21  David Tardon  <dtardon@redhat.com>  [84f253fb4564c8053d875ba65dadd7f5481f5f3f]

	bump version

	Change-Id: Ie0c074226cd3c53ea4dde335803bc8e9de2fcf8a

2017-10-21  David Tardon  <dtardon@redhat.com>  [85529f5490b7b5d8ec3e8231db3b5640bce58839]

	be explicit

	Change-Id: I7b140fe35f32c96f51f21c67597a9e759cdca9e8

2017-10-21  David Tardon  <dtardon@redhat.com>  [a0694f22ddf9ba2fa8a33940ac4761d48b0eef46]

	check length, not number of elements

	Regression since commit cf0303b0ca57d3f54aa50686d38aaa149c02d034
	"oss-fuzz: avoid big allocations".

	Change-Id: Ib0520513469d1de8c00085d1a86b9885b67873da

2017-10-21  David Tardon  <dtardon@redhat.com>  [3f9664f3a99c320e44f8c1c5522dee7bf11e0bfa]

	source files are included automatically

	Change-Id: If54011a933d9ec43b58e568454d3b423da61565c

2017-10-21  David Tardon  <dtardon@redhat.com>  [b91ec4938fbe3b9d9e74b9d509ef4fdb8eb05246]

	add coverity to NEWS

	Change-Id: I286544c96c55d81c44d52c5a6a1fdc591287b451

2017-10-21  David Tardon  <dtardon@redhat.com>  [d68dfb12140593c36526ba0bb6495300dbc974fe]

	cid#1312142 sanitize loop bound

	Change-Id: I08e9f51af44929e41bd68f3fae843105eb2c6930

2017-10-21  David Tardon  <dtardon@redhat.com>  [ef52a208b720a6f6e3c748ab51ee19c859e9e186]

	cid#1256666 sanitize loop bound

	Change-Id: Ib853772be55563f2ccd548f866ec299d7b906d6a

2017-10-21  David Tardon  <dtardon@redhat.com>  [99e5b63aae2e154be920edd789a4a2236af10c92]

	cid#1219709 sanitize loop bound

	Change-Id: I199555c4b59d837af7e30cd7f8c6f643b3f23a5e

2017-10-21  David Tardon  <dtardon@redhat.com>  [895f7ec3c28b498b7a293a40596c24a7dcb76e30]

	cid#1219708 sanitize loop bound

	Change-Id: I60bd5e3862ea1cca18089c0f65c40e4cc3173832

2017-10-21  David Tardon  <dtardon@redhat.com>  [3d563913b415e461781f6ed02a2cf1eceb3997c2]

	cid#1219707 sanitize loop bound

	Change-Id: Idc3ffb4f82122e228f11af4ca5c08b9b988f2c98

2017-10-21  David Tardon  <dtardon@redhat.com>  [74ea3694d6a341c9821edd958fd647fbb0458273]

	cid#1325211 fix logic

	Change-Id: I62fb5bec286444c4cc6099d00474bf260f4ae35b

2017-10-21  David Tardon  <dtardon@redhat.com>  [b1fe6905534d6e35ac4ef8b3d3266f1a83a772cd]

	cid#1419957 rewrite to avoid coverity warning

	Change-Id: I4c1f1e3f7011c35625c8c56afa9ddf04d1217aa3

2017-10-21  David Tardon  <dtardon@redhat.com>  [61419371f3dceaa6a959a22f77f431966c9689f5]

	add test for seek to end

	Change-Id: Iab6177acc5ae4ca78b34b4110d9c0e725d8d5d87

2017-10-21  David Tardon  <dtardon@redhat.com>  [a77b8691322b469d2a35e2a287f81728bd0329a5]

	implement seek to end for internal stream

	Change-Id: Iad3b402e5de853dd851012344682c55affa0c9de

2017-10-21  David Tardon  <dtardon@redhat.com>  [5e2a48e31ed0208ce59bbfd6beb1b3977ec75538]

	prepare for a release

	Change-Id: I12d0d8e4d99a588bc8683d6cfb821718fbde4ff2

2017-10-20  David Tardon  <dtardon@redhat.com>  [aef4af08f5a2a6e3301cfe3088975820185da81d]

	drop pointless casts

	Change-Id: I2ac4f2922acd2f789bb1c7322c0d888ab1f31d0c

2017-10-20  David Tardon  <dtardon@redhat.com>  [04611b9f26cce0e7aa6c9901ae389243239ebc95]

	ofz#2686 fix division by 0

	Change-Id: I853d263718a20f06e5bf5f8d834ca32be0a23023

2017-10-19  David Tardon  <dtardon@redhat.com>  [916a0cf635f351e22b44de27ba42e9654b4ee29f]

	ofz#2521 fix OOB read from vector

	Change-Id: Ia6b08452dca71ae68bb0e9f2692ffdd75da9f537

2017-10-17  David Tardon  <dtardon@redhat.com>  [dc81ff725f10744ee9455a55b3c627bc02b78ab1]

	ofz#3646 limit the max. degree of NURBS even more

	Change-Id: I4b48e78aca4953d60d5a2a5fab7869c0a292cc21

2017-10-17  David Tardon  <dtardon@redhat.com>  [c32345e7eb1890d9f52f3dc02acc0952dd81e53f]

	avoid excessive reallocations

	Change-Id: Ibb224bb7f7854343fd336cf78f81a71a433f72af

2017-10-17  David Tardon  <dtardon@redhat.com>  [8bbd72308c0968084bb55173192863ca9554241c]

	restrict scope of var

	Change-Id: Ie6af8b5408b6dc8d5920843aafd92e935ef4df42

2017-10-17  David Tardon  <dtardon@redhat.com>  [20e3d231bed64917a9f683541100cf53e98c26c5]

	drop always-true tests

	Change-Id: I1788036303edb2837bbb1d77dbbc5a431f3293c3

2017-10-17  David Tardon  <dtardon@redhat.com>  [329afd8d1461b28a0ef5fcf9da21bec960eb7257]

	avoid needless reallocations

	Change-Id: Id6af494bb71734f52a4d8c3ac094f917ff448538

2017-10-17  David Tardon  <dtardon@redhat.com>  [879c3044e33c1b971cf9146a3ea4571a9ae60b4d]

	this cannot happen here

	Change-Id: Ibecaa5e63fee6ee23657ef395b6fe5aa920a7da1

2017-10-17  David Tardon  <dtardon@redhat.com>  [dc367e0d199940c55469dcb73649f326872375f3]

	ofz#3520 limit the possible NURBS degree

	Change-Id: If64244416d30e6356828c68e95cb22f318afeea9

2017-10-16  David Tardon  <dtardon@redhat.com>  [febad4fdada8e2953d2dbd784e692daabfe25435]

	drop outdated Windows build files

	Change-Id: Iff3971bf3525ea3d91d7100d583dee4e11d00628

2017-10-16  David Tardon  <dtardon@redhat.com>  [d37e5ea5d633307a9b828ba67141520112999cad]

	fix rounding regression

	... caused by commit c156c530df29972d6c9391348ec4351809cfd2e2 .

	Change-Id: I83b50b5d0c31e5c58ea812ed007e6b40ea009883

2017-10-13  David Tardon  <dtardon@redhat.com>  [4dd36e94494ad7cebf50595bd8be199dee8dda6d]

	Revert "use VSD_ALMOST_ZERO macro consistently"

	This reverts commit 2501d71f919cc3234718634eda82fd81ba9c9e78.

	Change-Id: I5f1ebfac9880a16a3821df2027f048f4a4140c0f

2017-10-09  David Tardon  <dtardon@redhat.com>  [4048f8c6d0bcef296e223dea1071ab11c4643030]

	zlib hasn't been needed since the switch to librevenge

	Change-Id: Ia2de012292ae6121da7ca14ac99890492add663d

2017-09-28  David Tardon  <dtardon@redhat.com>  [b068c3252bb6791077c8e5df166542e96e35ec9f]

	avoid output from fuzzers

	Change-Id: I95dfbaf6f03892726b43f90e072f0122d4d971bb

2017-09-26  David Tardon  <dtardon@redhat.com>  [93a653b83a8a22a674d74b876fb09cc2ad4a8994]

	avoid possible leak

	Change-Id: I3364eb94f626d5507d296bf322856e2452795e87

2017-09-26  David Tardon  <dtardon@redhat.com>  [7739316072ae4a95b1225067b944828429380fd7]

	ofz#3210 do not leak string

	Change-Id: I5e0127e59438345a51c7037be64edf9ee5f3f565

2017-09-19  Miklos Vajna  <vmiklos@collabora.co.uk>  [f958f47bf16eb932c6e6aa3caebdde67470cd705]

	Convert explicit for loops to range-based ones where possible

	This is most useful in libvisio::VSDMetaData::readPropertySetStream() to
	avoid repeating ourselves.

	Change-Id: Ieeca010476c776589b56b145f5b973eec86001fe

2017-09-18  Miklos Vajna  <vmiklos@collabora.co.uk>  [7cf4bf3b624fadb327a54c63d880ee664e8434b5]

	Convert 0 to nullptr where it's used as a pointer value

	To make the code easier to read, because this means the remaining zeros
	all mean numbers.

	Change-Id: I677df217aae81e15496d47a93daaab633d8b903f

2017-09-13  Miklos Vajna  <vmiklos@collabora.co.uk>  [f6c7fe7974fae43cc98c061f4a47d55a422d2d16]

	Mark overriding member functions as 'override'

	This does not affect the generated code (API or ABI), but:

	1) Makes sure that in case the signature of one of these functions would
	change by accident, the build breaks as the function no longer overrides
	a base function.

	2) Makes the code readable by explicitly marking all overriding
	functions as 'override', where previously the reader had to read the
	interface of the base class(es) as well to find out if the function is
	virtual or not.

	3) Since 'override' implies 'virtual', remove the 'virtual' keyword
	where 'override' is present.

	Change-Id: I482cbb5d22726b9a16c0f445fb945c24c69a5dd0

2017-09-11  David Tardon  <dtardon@redhat.com>  [634a8eacdb0e06bd3e171e963d4a57f742da4b33]

	fix build with older boost

	Change-Id: I3a2e6d9d9e554f9e2ad010219379f5f61c5f8c25

2017-09-10  Miklos Vajna  <vmiklos@collabora.co.uk>  [75d6778cba55b8ebfc47058c9d5ab058c779d603]

	m4: MSVC defines __cplusplus as 199711L still

	See e.g.
	<https://stackoverflow.com/questions/37503029/cplusplus-is-equal-to-199711-in-msvc-does-it-support-c11>,
	on MSVC we can't depend on the value of __cplusplus, since that one is a
	too low value, even if everything else works fine.

2017-09-08  David Tardon  <dtardon@redhat.com>  [0089be571831d162c6460aea7be2003822bdc91d]

	tests need librevenge-stream

	Change-Id: I54aad8e63223f9dd40e2a8a9a60c887b65dc5f56

2017-09-08  David Tardon  <dtardon@redhat.com>  [7eeb092a87c3e233769aa292e9d012aff06c1927]

	assume modern enough ICU is available

	Change-Id: I07a995aaa13af07f44642afd38d711555d23c37b

2017-07-29  David Tardon  <dtardon@redhat.com>  [57777755a70ac2e9522963ff037f55edccb483e6]

	do not append UTF-8 chars by code unit

	Change-Id: I9b0279b99d59ab69c1d720e865462b4e03b671bc

2017-07-29  David Tardon  <dtardon@redhat.com>  [0a7e952f63add0b2127be11dc8371f9c037160c5]

	fix debug build

	Change-Id: Ic475c5808bae006d34a95d530c0a7f7e69e399f4

2017-07-07  David Tardon  <dtardon@redhat.com>  [4c9f3fd5cf1de3e4c6c0d28b848b0d496cc24f0a]

	ofz#2477 avoid divide by zero

	Change-Id: I952670a60a0a8133509178449ac89dfad2091213

2017-07-04  David Tardon  <dtardon@redhat.com>  [4207a1089a13726cbcf1b6e74d80f146544b7b8c]

	ofz#1431 reject NURBS that do not have enough control points

	Change-Id: I1ea6345ecb5b3f4f2d0979149dad103829c81bfa

2017-07-03  David Tardon  <dtardon@redhat.com>  [246155061002dc7e373f9cad435ff4382f4ff000]

	ofz#2335 avoid divide by zero

	Change-Id: Icdc998f3415be6b70612305320faf2e08160f279

2017-07-03  David Tardon  <dtardon@redhat.com>  [2501d71f919cc3234718634eda82fd81ba9c9e78]

	use VSD_ALMOST_ZERO macro consistently

	Change-Id: I8a40d35ac9a90d1e1683172dbff27bfd3250428c

2017-06-20  David Tardon  <dtardon@redhat.com>  [c156c530df29972d6c9391348ec4351809cfd2e2]

	ofz#2307 avoid division by 0

	Change-Id: I963ea7f7d7349c2614572b101be559b2f365a803

2017-06-20  David Tardon  <dtardon@redhat.com>  [d131eedbeb087f4eae263a927ed1c253e30d007b]

	ofz#2268 avoid division by 0

	Change-Id: Iaa07db26a677557499c9a1dc8cd4ce47c283aa2b

2017-06-20  David Tardon  <dtardon@redhat.com>  [40a0f2216a4279942d2f8c367ff59d843062086c]

	ofz#2252 avoid division by 0

	Change-Id: Icb58538864ce87554b2777de9177995166ed2795

2017-06-20  David Tardon  <dtardon@redhat.com>  [e5d9a09912e484db5fa9c62e27b2a1f4e13e065a]

	use std::hypot

	Change-Id: Ie15d7b3727077a45ec69e1727785a8ce16f5fafc

2017-06-20  David Tardon  <dtardon@redhat.com>  [8e38c802d6631b4ec36a422be66fc2f12835b4db]

	ofz#2248 avoid division by 0

	Change-Id: Ic77513d0f7d315122c5c396e2e09d39cfc6e4cc8

2017-06-06  David Tardon  <dtardon@redhat.com>  [229da5c2e86171d2a61f183759727f8c7d77c66f]

	astyle

	Change-Id: I2e5c31ba030aff764e2c52278e09ae09cf6e1909

2017-06-02  David Tardon  <dtardon@redhat.com>  [b467040741d865b97035205ac0f77986be4a0fe7]

	disable -Werror by default

	Change-Id: Iffc50c0ef2d3d2fd193875ded0326610eab85537

2017-06-02  David Tardon  <dtardon@redhat.com>  [7789cba30b3f3a2554d8d047aad6d953a50aea3b]

	WaE: fix name collision with Boost.Spirit

	Change-Id: I2293dce01e402ea0798213df215989662ee44aaf

2017-05-16  David Tardon  <dtardon@redhat.com>  [38692886d9f7e9f4bfb0f043d2019d6abf20c46b]

	nitpick

	Change-Id: I48aebd0207376719f70bf590709a3df0eb3452df

2017-05-16  David Tardon  <dtardon@redhat.com>  [1b35448f766f9baffc1482da0e75360168f76f24]

	drop :: prefix

	Change-Id: Iae34b40ce6fb2f99badf91fb7f97523f123ffcd4

2017-05-15  David Tardon  <dtardon@redhat.com>  [6a71379ad6a70b2b0e24400bb668d0accb3c9ab2]

	drop unneeded macro

	Change-Id: I352f2938e57ac93f8c787732cdd4757743fed901

2017-05-15  David Tardon  <dtardon@redhat.com>  [f5f362797c76285216e46649970d0928135eeb81]

	move from Spirit.Classic to Qi

	Change-Id: I75e25d7b3430a9fc40cb8f8e79f53c12b6754c4e

2017-05-15  David Tardon  <dtardon@redhat.com>  [d095eb768180f86df4f939d86f3debf3a7078872]

	ofz#1000 avoid stack overflow

	Change-Id: Ie570417aa0c6c8a3eefcaf954fd572f4a82308f2

2017-05-05  David Tardon  <dtardon@redhat.com>  [214b5930a63e1f1652dd7a7e27a62627385bc6d9]

	avoid possible overflow

	Change-Id: I30d60ba7964fc731be1706edc864afa22882b9a2

2017-05-04  David Tardon  <dtardon@redhat.com>  [8bcfc95cb59c60c4035d8752c2341137f0c6c3af]

	ofz#1291 band-aid for out-of-bounds access

	Change-Id: I9958903a5e68c2397c9e6948034a6e43114e4694

2017-04-30  David Tardon  <dtardon@redhat.com>  [c420a080601063b2ad1b5473b4912fd0ad2b99d3]

